use based::{get_sqlite, get_sqlite_or_create};
use based::request::{RequestContext, StringResponse};
use based::{
    get_pg,
    page::{Shell, render_page},
};
use maud::html;
use rocket::get;
use rocket::routes;

#[rocket::launch]
async fn launch() -> _ {
    // Logging
    env_logger::init();

    // Database
    unsafe { std::env::set_var("DATABASE_URL", "test.db"); }
    let db = based::db::Database::new().await;

    rocket::build().mount("/", routes![])
}
